

.demo-bg{
	display: none;
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
}

.demo-loading{
	display: inline-block;
	overflow: hidden;
	line-height: 43px;
	white-space: nowrap;
	max-width: 0;
	-webkit-transition: max-width .5s;
	transition: max-width .5s;
}

.disabled > .demo-loading{
	max-width: 10em;
	-webkit-transition: max-width .5s;
	transition: max-width .5s;
}

.demo-loading .fa{
	animation: none;
}

.disabled > .demo-loading .fa{
	-webkit-animation: fa-spin 2s infinite linear;
	animation: fa-spin 2s infinite linear;
}

@media (min-width: 768px){
	.demo-bg{
		display: block;
	}
	#demo-bg-list{
		display: inline-block;
		padding: 5px;
		background-color: #fff
	}

	.demo-bg img{
		vertical-align: top;
		width: 64px;
		cursor: pointer;
		-webkit-transition: opacity .5s;
		transition: opacity .5s
	}

	.disabled .demo-chg-bg,
	.demo-bg .active{
		opacity: .3;
		cursor: default;
		-webkit-transition: opacity .5s;
		transition: opacity .5s
	}
}

input{
	background-image: none !important
}

/* Page : UI-Buttons */
.demo-nifty-btn.list-group-item{
	padding: 20px 15px
}
.demo-nifty-btn{
	text-align: center
}
.demo-nifty-btn .btn{
	margin:7px 7px 7px 0;
}
.demo-nifty-btn .btn:not(.btn-icon){
	min-width: 17.5%;
}
.demo-nifty-btn-group .btn-group{
	margin:7px 7px 7px 0;
}


/* Page : UI-Modals */
.demo-nifty-modal .modal {
	bottom: auto;
	display: block;
	left: auto;
	position: relative;
	right: auto;
	top: auto;
	z-index: 1;
	overflow: hidden
}

.demo-nifty-modal .modal-dialog {
	left: auto;
	color:#404040;
	margin-top: auto;
	margin-left: auto;
	margin-right: auto;
}

/* Page : UI-Components */
.demo-nifty-label-badge{
	text-align: center
}
.demo-nifty-label-badge .label,
.demo-nifty-label-badge .badge{
	float: none;
	margin: 0 7px 10px 0;
	display: inline-block;

}

/* Page : Helper classes */
.demo-nifty-padding > tr > td > div{
	width: 75px;
	height: 75px;
	line-height: 75px;
	text-align: center;
	font-weight: 500;
	border: 1px solid rgba(0,0,0,.2);
	background-color: rgba(100, 42, 156, 0.27)
}
.demo-nifty-padding > tr > td > div > div{
	width: 100%;
	height: 100%;
	line-height: normal;
	background-color: #fff;
	border: 1px solid rgba(20, 126, 255, 0.53);
	vertical-align: middle
}
.demo-nifty-padding > tr > td > div > div:before{
	content: '';
	display: inline-block;
	width: 1px;
	height: 100%;
	vertical-align: middle
}
.demo-nifty-margin > tr > td > div{
	width: 75px;
	height: 75px;
	line-height: 75px;
	text-align: center;
	font-weight: 500;
	position: relative;
	border: 1px solid rgba(0,0,0,.2);
	background-color: #f4df60
}
.demo-nifty-margin > tr > td > div > div{
	left :0;
	right: 0;
	top:0;
	bottom: 0;
	position: absolute;
	line-height: normal;
	background-color: #fff;
	border: 1px solid rgba(20, 126, 255, 0.53);
	vertical-align: middle
}
.demo-nifty-margin > tr > td > div > div:before{
	content: '';
	display: inline-block;
	width: 1px;
	height: 100%;
	vertical-align: middle
}
.demo-nifty-background > tr > td > div{
	width: 75px;
	height: 75px;
	line-height: 75px;
	text-align: center;
	font-weight: 500;
	position: relative;
}

.demo-nifty-border div{
	width: 75px;
	height: 75px;
	line-height: 75px;
	text-align: center;
	font-weight: 500;
	border-color: rgba(0,0,0,.3);
	background-color: rgba(0,0,0,.05)
}

.demo-nifty-icon span{
	background-color: rgba(0,0,0,.1)
}


.demo-nifty-text p{
	width: 125px;
	min-height: 35px;
	padding: 5px;
	margin-bottom: 0
}
@media (min-width: 992px){
	.demo-nifty-text p{
		width: 175px;
	}
}
.demo-nifty-text td:nth-child(2){
	text-align: center
}


.demo-nifty-text p:not(.bg-dark){
	background-color: rgba(0,0,0,.05);
}




.demo-set{
	display: none;
}

@media (min-width: 1024px){
	.demo-set{
		display: block;
		position: fixed;
		left: 50%;
		top: 0;
		z-index: 999;
		text-align: center;
		width: 600px;
		margin-left: -300px;
		opacity: 0;
		-webkit-transition : opacity .5s linear 1s;
		transition : opacity .5s linear 1s;
	}

	.nifty-ready > .demo-set{
		opacity: 1;
		-webkit-transition : opacity .5s linear 1.5s;
		transition : opacity .5s linear 1.5s;
	}
	.demo-set hr{
		border-color: rgba(0,0,0,.2);
	}
	.demo-set a, .demo-set a:hover, .demo-set a:focus{
		color: #fff;
	}
	.demo-set-body > .demo-set-content{
		padding: 10px 10px 0;
		text-align: left
	}
	.demo-set-body .icon-wrap{
		padding: 7px
	}
	.demo-set .demo-set-body{
		z-index: 20;
		position: relative;
		color: #fff;
		overflow: hidden;
		max-height: 0;
		-webkit-transition: max-height .3s;
		transition: max-height .3s;
	}

	.demo-set.open .demo-set-body{
		max-height: 900px;
		-webkit-transition: max-height .5s;
		transition: max-height .5s
	}


	#demo-set-btn{
		background-color: #3b4146;
		color: #fff;
		border: 0;
		position: absolute;
		left: 50%;
		margin-left: -23px;
		margin-top: -2px;
	}


	#demo-set-animation{
		max-height: 0;
		overflow: hidden;
		transition: max-height .5s
	}

	.no-cookie .demo-set-save-text{
		text-decoration: line-through
	}

}

@media (min-width: 992px){
	.demo-set{
		width: 900px;
		margin-left: -450px
	}
}

@media (min-width: 1200px){
	#demo-set-animation{
		max-height: 150px;
		transition: max-height .5s;
		overflow: visible
	}
}

#demo-theme > div{
	text-align: justify;
}
#demo-theme > div:after{
	content: '';
	display: inline-block;
	width: 100%
}
.demo-theme{
	display: block;
	width:35px;
	height:35px;
	background-color:#e3e3e3;
	overflow: hidden;
	margin: 0 21px 15px 0;
	position:relative;
	float: left
}

.demo-theme.disabled{
	cursor: default;
}

.demo-theme.disabled:after{
	content: '\f058';
	position: absolute;
	display: inline-block;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 3;
	text-align: center;
	color:#005803;
	background: rgba(255,255,255,.5);
	font: normal normal normal 20px/1 FontAwesome;
	line-height: 30px;
}

.demo-theme:before{
	content: '';
	position: absolute;
	display: block;
	top: 10%;
	left: 10%;
	width: 80%;
	height: 80%;
	z-index: 3;
	opacity: 0;
	-webkit-animation: zoomOut .5s;
	animation: zoomOut .5s;
}

.demo-theme:not(.disabled):hover:before{
	opacity: 1;
	-webkit-animation: zoomIn .5s;
	animation: zoomIn .5s;
}

.demo-theme:not(.disabled):hover .demo-theme-brand,
.demo-theme:not(.disabled):hover .demo-theme-head,
.demo-theme:not(.disabled):hover .demo-theme-nav{
	opacity: .15;
	-webkit-transition: opacity .5s;
	transition: opacity .5s;
}

.demo-theme-brand,
.demo-theme-head,
.demo-theme-nav{
	-webkit-transition: opacity .5s;
	transition: opacity .5s;
}

.demo-theme-brand{
	width:65%;
	height:55%;
	float:left;
	position: relative;
	opacity: 1;
	z-index: 2;
}

.demo-theme-head{
	margin-left: 65%;
	height:55%;
	opacity: 1;
	background-color:#eee;
}

.demo-theme-nav{
	width:55%;
	position:absolute;
	left:0;
	top:0;
	bottom:0;
	opacity: 1;
	background:#eee;
	z-index: 1;
}

.demo-a-light:before,
.demo-b-light:before,
.demo-c-light:before,
.demo-a-light .demo-theme-brand,
.demo-b-light .demo-theme-brand,
.demo-a-light .demo-theme-nav,
.demo-c-light .demo-theme-nav,
.demo-a-light .demo-theme-head{
	background:#fff;
}
.demo-a-light, .demo-a-light:before,
.demo-b-light, .demo-b-light:before,
.demo-c-light, .demo-c-light:before{
	border: 1px solid #e0e0e0
}

.demo-a-ocean:before,
.demo-b-ocean:before,
.demo-c-ocean:before,
.demo-b-ocean .demo-theme-brand,
.demo-a-ocean .demo-theme-brand,
.demo-c-ocean .demo-theme-nav,
.demo-a-ocean .demo-theme-head{
	background:#5aaedc;
}

.demo-a-lime:before,
.demo-b-lime:before,
.demo-c-lime:before,
.demo-a-lime .demo-theme-brand,
.demo-b-lime .demo-theme-brand,
.demo-c-lime .demo-theme-nav,
.demo-a-lime .demo-theme-head{
	background:#8dba60;
}

.demo-a-purple:before,
.demo-b-purple:before,
.demo-c-purple:before,
.demo-a-purple .demo-theme-brand,
.demo-b-purple .demo-theme-brand,
.demo-c-purple .demo-theme-nav,
.demo-a-purple .demo-theme-head{
	background:#995b92;
}

.demo-a-dust:before,
.demo-b-dust:before,
.demo-c-dust:before,
.demo-a-dust .demo-theme-brand,
.demo-b-dust .demo-theme-brand,
.demo-c-dust .demo-theme-nav,
.demo-a-dust .demo-theme-head{
	background:#f77b5b;
}
.demo-a-mint:before,
.demo-b-mint:before,
.demo-c-mint:before,
.demo-a-mint .demo-theme-brand,
.demo-b-mint .demo-theme-brand,
.demo-c-mint .demo-theme-nav,
.demo-a-mint .demo-theme-head{
	background:#40c4a7;
}
.demo-a-yellow:before,
.demo-b-yellow:before,
.demo-c-yellow:before,
.demo-a-yellow .demo-theme-brand,
.demo-b-yellow .demo-theme-brand,
.demo-c-yellow .demo-theme-nav,
.demo-a-yellow .demo-theme-head{
	background:#f1da71;
}
.demo-a-prickly-pear:before,
.demo-b-prickly-pear:before,
.demo-c-prickly-pear:before,
.demo-a-prickly-pear .demo-theme-brand,
.demo-b-prickly-pear .demo-theme-brand,
.demo-c-prickly-pear .demo-theme-nav,
.demo-a-prickly-pear .demo-theme-head{
	background:#b25e71;
}
.demo-a-coffee:before,
.demo-b-coffee:before,
.demo-c-coffee:before,
.demo-a-coffee .demo-theme-brand,
.demo-b-coffee .demo-theme-brand,
.demo-c-coffee .demo-theme-nav,
.demo-a-coffee .demo-theme-head{
	background:#766d51;
}
.demo-a-well-red:before,
.demo-b-well-red:before,
.demo-c-well-red:before,
.demo-a-well-red .demo-theme-brand,
.demo-b-well-red .demo-theme-brand,
.demo-c-well-red .demo-theme-nav,
.demo-a-well-red .demo-theme-head{
	background:#da5959;
}
.demo-a-navy:before,
.demo-b-navy:before,
.demo-c-navy:before,
.demo-a-navy .demo-theme-brand,
.demo-b-navy .demo-theme-brand,
.demo-c-navy .demo-theme-nav,
.demo-a-navy .demo-theme-head{
	background:#32404e;
}
.demo-a-navy .demo-theme-nav{
	background: #e3e8ee
}
.demo-a-dark:before,
.demo-b-dark:before,
.demo-c-dark:before,
.demo-a-dark .demo-theme-brand,
.demo-b-dark .demo-theme-brand,
.demo-c-dark .demo-theme-nav,
.demo-a-dark .demo-theme-head{
	background:#2e3539;
}
